Bug 145385 - CAN-2005-0075 Arbitrary code injection in Squirrelmail
CAN-2005-0075 Arbitrary code injection in Squirrelmail
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Warren Togami
impact=low,embargoed=20050122
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 16:57 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 02:46:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-17 16:57:31 EST
*** This bug has been split off bug 145384 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.17
16:52 -------

Debian reported this to vendor-sec on 2005-01-15

Hi,

A missing variable initialisation in functions/prefs.php allowed for
potential insecure file inclusions. Only environments where the PHP
setting register_globals is set to On are vulnerable.

Affected versions: SquirrelMail 1.4.3, 1.4.3a, 1.4.4-RC1
Fixed in: SquirrelMail 1.4.4

This vulnerability was discovered by SquirrelMail developer Jimmy
Conner.

Currently the 1.4.4 release is planned for monday, as there still is
some translation stuff pending.


Please note that we do not have register_globals enabled by default, which
negates this issue.


The fix for this issue is contained in attachment 109892 [details]
Comment 1 Josh Bressers 2005-01-17 16:58:22 EST
This issue should also affect FC2
Comment 2 Josh Bressers 2005-01-24 08:31:22 EST
Lifting embargo.

Note You need to log in before you can comment on or make changes to this bug.